Create Report Download URL

post/api/reports/{reportId}/download

Create a pre-signed URL to download a report.

After receiving the webhook Report Completed, call this endpoint to generate a short-lived pre-signed URL for the report artifact.

If the URL expires before you use it, call the endpoint again to generate a new one for the same report.

Request

Path Parameters

  • reportIdstringrequired

    The ID of the report to download.

Response

Download URL successfully generated.

Body application/json

  • reportIdstringrequired

    The ID of the report.

  • downloadUrlstringrequired

    A pre-signed S3 URL to download the report artifact. Valid for 24 hours.

  • expiresAtstring<date-time>required

    The ISO 8601 timestamp at which the download URL expires.